summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorChristian Schendel2021-02-19 22:49:34 +0100
committerChristian Schendel2021-02-19 22:49:34 +0100
commitade5cda4524402e3e2fa78c5ff41e1675648ae6d (patch)
treef9d6194a5464740ce46bfec1c172726be0f566a1 /PKGBUILD
parentd52065be187cf7ba5436ecd8f4aa3e4bf58f1ef9 (diff)
downloadaur-ade5cda4524402e3e2fa78c5ff41e1675648ae6d.tar.gz
install gschema
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD29
1 files changed, 16 insertions, 13 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 7c3797eed44..b134ddc6afc 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
pkgname=gnome-shell-extension-compiz-windows-effect-git
pkgver=r14.3e34af7
-pkgrel=2
+pkgrel=3
pkgdesc="Compiz wobbly windows effect with libanimation engine."
arch=('any')
url="https://github.com/hermes83/compiz-windows-effect"
@@ -13,25 +13,28 @@ optdepends=("libanimation-gnome-shell-git")
makedepends=('git' 'glib2')
provides=("${pkgname%-git}")
conflicts=("${pkgname%-git}")
-source=("${pkgname%-git}::git+https://github.com/hermes83/compiz-windows-effect.git")
+source=("${pkgname%-git}::git+${url}.git")
sha256sums=('SKIP')
pkgver() {
cd "${srcdir}/${pkgname%-git}"
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
package() {
- local _uuid="compiz-windows-effect@hermes83.github.com"
- local _destdir="$pkgdir/usr/share/gnome-shell/extensions/$_uuid"
-
cd "${srcdir}/${pkgname%-git}"
+
+ local uuid=$(grep -Po '(?<="uuid": ")[^"]*' metadata.json)
+ #local schema=$(grep -Po '(?<="settings-schema": ")[^"]*' metadata.json).gschema.xml
+ local schema=org.gnome.shell.extensions.com.github.hermes83.compiz-alike-windows-effect.gschema.xml
+ local destdir="${pkgdir}/usr/share/gnome-shell/extensions/${uuid}"
+
+ install -dm755 "${destdir}"
find . -regextype posix-egrep -regex ".*\.(js|json)$" -exec\
- install -Dm 644 {} ${_destdir}/{} \;
- cp -R schemas "${_destdir}"
- #rebuild compiled GSettings schemas if missing
- if [[ ! -f "${_destdir}/schemas/gschemas.compiled" ]]; then
- glib-compile-schemas "${_destdir}/schemas"
- fi
- chmod -R 755 "${_destdir}"
+ install -Dm 644 {} ${destdir}/{} \;
+ install -Dm644 "${srcdir}/${pkgname%-git}/schemas/${schema}" \
+ "${pkgdir}/usr/share/glib-2.0/schemas/${schema}"
}